Bug 259224 - Switch devel/valgrind to use sourceware
Summary: Switch devel/valgrind to use sourceware
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-17 09:38 UTC by Paul Floyd
Modified: 2021-10-19 14:21 UTC (History)
0 users

See Also:
pjfloyd: maintainer-feedback+


Attachments
Updates for devel/valgrind (2.77 KB, patch)
2021-10-17 09:38 UTC, Paul Floyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Floyd 2021-10-17 09:38:37 UTC
Created attachment 228776 [details]
Updates for devel/valgrind

The FreeBSD port of Valgrind has now been merged upstream and a new release of Valgrind is out, 3.18.1. This updates Makefile, distinfo and pkg-descr to reflect that.

Also remove pkg-message which has been incorrect and obsolete for a fair time.
Comment 1 commit-hook freebsd_committer 2021-10-18 19:04:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7faf3caa288457fc1180e1e37ce373c21a3479bf

commit 7faf3caa288457fc1180e1e37ce373c21a3479bf
Author:     Paul Floyd <pjfloyd@wanadoo.fr>
AuthorDate: 2021-10-18 19:00:05 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-10-18 19:03:29 +0000

    devel/valgrind: Update to 3.18.1 and switch to use sourceware

    The FreeBSD port of Valgrind has now been merged upstream and a new
    release of Valgrind is out, 3.18.1. This updates Makefile, distinfo and
    pkg-descr to reflect that.

    Also remove pkg-message which has been incorrect and obsolete for a fair time.

    PR:             259224

 devel/valgrind/Makefile           | 15 ++++-----------
 devel/valgrind/distinfo           |  6 +++---
 devel/valgrind/pkg-descr          |  1 -
 devel/valgrind/pkg-message (gone) | 15 ---------------
 devel/valgrind/pkg-plist          |  2 ++
 5 files changed, 9 insertions(+), 30 deletions(-)
Comment 2 Li-Wen Hsu freebsd_committer 2021-10-18 19:04:40 UTC
Committed & pushed, thanks! I added the missing doc items in pkg-plist and did some Makefile cleanup.
Comment 3 Paul Floyd 2021-10-19 14:21:25 UTC
I've added running make makeplist before/after to my checklist.

I see that there should be
%%PORTDOCS%%%%DOCSDIR%%/html/dist.readme-freebsd.html
%%PORTDOCS%%%%DOCSDIR%%/valgrind_manual.pdf
%%PORTDOCS%%%%DOCSDIR%%/valgrind_manual.ps

The readme is expected, not sure what has changed to add the manual but it is an improvement.